#*************************************************************
# Progamm:			isa_atmosphaere
# Sinn des Programms: 		Einlesen und Interpolieren sowie Errechnen von
#				athmosphärischen Zustandsgrößen aus einer Tabelle				
# Sinn der Einheit  :		Hauptprogramm	
# Name dieser Datei:		steuer.py
# Versionsnummer:		1
# Wird aufgerufen von:		isa_atmosphaere_haupt.py
# Ruft auf:			-
# Nummer im Programmpaket:	2
# von:				5			
# Autor: 			Armin Ulrich
# Erster Lauf: 			04.12.2020
# Letzte Änderung: 		16.07.2021
#*************************************************************

#*************************************************************
# Importieren der Klassen für Dateifunktionen
#*************************************************************
import os



class Steuer:

  def __init__(self):		
    print("Steuerobjekt erzeugt")


  #Destruktormethode
  def __del__(self):	
    print("Steuerobjekt entfernt")          

  
  def ende(self):
    self.main.destroy()


#*************************************************************
# Funktion zum Öffnen der Steuerdatei und zum Auslesen der
# Steuerdaten
#*************************************************************
  def steuer_input(self):
  #*************************************************************
# Importieren der Klassen zur graphischen Darstellung 
#*************************************************************
    import tkinter
    self.main = tkinter.Tk()
    
    print("Einlesen der Steuerdaten") 
    zeilen_zaehler=0
    if os.path.exists("steuer.txt"):
      print("Datei ist vorhanden")
      fobj_in = open("steuer.txt","r") 
      for zeile in fobj_in:
        if(zeilen_zaehler == 0):
# Konstrukt wird gebraucht, um das Zeilenumbruchzeichen \n zu löschen         
          ausgabe = zeile[0:-1]
          print(ausgabe)
        if(zeilen_zaehler == 1):
          self.eingabe_datei = zeile[:-1]
          ausgabe = self.eingabe_datei
          print(ausgabe)
        if(zeilen_zaehler == 2): 
          ausgabe = zeile[:-1]
          print(ausgabe)
        if(zeilen_zaehler == 3):
          länge = len(zeile)
          self.schirm_ausgabe_wähler = self.bool_function(zeile[:-1])
          ausgabe = self.schirm_ausgabe_wähler
          print(ausgabe)
        if(zeilen_zaehler == 4):
          ausgabe = zeile[:-1]
          print(ausgabe)
        if(zeilen_zaehler == 5):
          self.datei_ausgabe_wähler = self.bool_function(zeile[:-1])
          ausgabe = self.datei_ausgabe_wähler
          print(ausgabe)
        if(zeilen_zaehler == 6):
          ausgabe = zeile[:-1]
          print(ausgabe)
        if(zeilen_zaehler == 7):
          self.graphik_ausgabe_wähler = self.bool_function(zeile[:-1])
          ausgabe = self.graphik_ausgabe_wähler
          print(ausgabe)  
        if(zeilen_zaehler == 8):
          ausgabe = zeile[:-1]
          print(ausgabe)
        if(zeilen_zaehler == 9):
          self.gui_ausgabe_wähler = self.bool_function(zeile[:-1])
          ausgabe = self.gui_ausgabe_wähler
          print(ausgabe)
        if(zeilen_zaehler == 10):
          ausgabe = zeile[:-1]
          print(ausgabe)
        if(zeilen_zaehler == 11):
          self.ausgabe_datei_einzel = zeile[:-1]
          ausgabe = self.ausgabe_datei_einzel
        if(zeilen_zaehler == 12):
          ausgabe = zeile[:-1]
          print(ausgabe)
        if(zeilen_zaehler == 13):
          self.ausgabe_datei = zeile[:-1]
          ausgabe = self.ausgabe_datei
          print(ausgabe)
        if(zeilen_zaehler == 14):
          ausgabe = zeile[:-1]
          print(ausgabe)
        if(zeilen_zaehler == 15):
          self.graphik_datei = zeile[:-1]
          ausgabe = self.graphik_datei
          print(ausgabe)
        if(zeilen_zaehler == 16):
          ausgabe = zeile[:-1]
          print(ausgabe)
        if(zeilen_zaehler == 17):
          self.graphik_format = zeile[:-1]
          ausgabe = self.graphik_format
          print(ausgabe)  
 #*************************************************************
# Anzeigen der Steuerdaten mittels Label
#*************************************************************        
        lb = tkinter.Label(self.main, text = ausgabe)
        
        if zeilen_zaehler % 2 == 0:
          lb.grid(row=int(zeilen_zaehler/2), column=0, padx='1', pady='1', sticky='ew')
          #lb["font"] = "Arial 6 bold"
        else:
          lb.grid(row=int((zeilen_zaehler-1)/2), column=1, padx='1', pady='1', sticky='ew')
        lb["font"] = "Arial 10"
        #lb["height"] = 1
        #lb["width"] = 40
        #lb["borderwidth"] = 2
        #lb["relief"] = "ridge"
        lb["bg"] = "#FFFFFF"
        lb["fg"] = "#000000"
        if zeilen_zaehler % 2 == 0:
          lb["anchor"] = "w"
        else:
          lb["anchor"] = "e"
        #lb.pack() 
        zeilen_zaehler=zeilen_zaehler+1
      fobj_in.close()
#*************************************************************
# Button zum Beenden der Anzeige der Steuerdaten und 
# zum Start der Berechnungen
#*************************************************************
      b = tkinter.Button(self.main, text = "weiter", command = self.ende)
      b.grid(row=int(zeilen_zaehler/2), column=0, padx='1', pady='1', sticky='ew')
      
      #Endlosschleife
      self.main.mainloop()
      
      return True
    else:
      print("Datei ist NICHT vorhanden")
      return False 

  def bool_function(self,arg):
    s_true = set(["True", "true", "T", "t", "1" ])
    s_false = set(["False", "false", "F", "f", "0" ])
    if arg in s_true:
      return True
    elif arg in s_false:
      return False
    else:     
      return False       
